stan::math::log2_fun Struct Reference

Structure to wrap log2() so it can be vectorized. More...

`#include <log2.hpp>`

## Static Public Member Functions

template<typename T >
static T | fun (const T &x)
| Return the base two logarithm of the specified argument. More...

## Detailed Description

Structure to wrap log2() so it can be vectorized.

Definition at line 13 of file log2.hpp.

## Member Function Documentation

## fun()

template<typename T >

static T stan::math::log2_fun::fun | ( | const T & | x | ) |

inline static

Return the base two logarithm of the specified argument.

Template Parameters

  T | argument type

Parameters

  x | argument

Returns
  base two log of the argument

Definition at line 22 of file log2.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/mat/fun/log2.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.